> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Me



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/auth/me
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/auth/me:
    get:
      tags:
        - Authentication
      summary: Me
      operationId: integrations_api_api_v2_auth_router_me
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOutput'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - OAuth2: []
components:
  schemas:
    UserOutput:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        organization_id:
          format: uuid
          title: Organization Id
          type: string
        external_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External User Id
        role:
          $ref: '#/components/schemas/Role'
        email:
          title: Email
          type: string
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        is_onboarded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Onboarded
        street_and_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Street And Number
        street_add_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Street Add Info
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Code
        town:
          anyOf:
            - type: string
            - type: 'null'
          title: Town
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        latitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Latitude
        longitude:
          anyOf:
            - type: number
            - type: 'null'
          title: Longitude
        last_login:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Login
        num_inverters:
          title: Num Inverters
          type: integer
        num_heat_pumps:
          title: Num Heat Pumps
          type: integer
        num_electric_vehicles:
          title: Num Electric Vehicles
          type: integer
        num_wallboxes:
          title: Num Wallboxes
          type: integer
        joined_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Joined At
      required:
        - id
        - organization_id
        - role
        - email
        - num_inverters
        - num_heat_pumps
        - num_electric_vehicles
        - num_wallboxes
      title: UserOutput
      type: object
    Role:
      enum:
        - admin
        - staff
        - user
        - guest
      title: Role
      type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````